# Get Opportunity List

## Get Opportunity List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/crm?action=getOpportunityList`

Get a list of opportunity.

#### Path Parameters

| Name     | Type    | Description                                             |
| -------- | ------- | ------------------------------------------------------- |
| venueIds | integer | The array of venue ids to which the opportunity belongs |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": 763,
            "venueId": 1,
            "name": "Opprotunity Name",
            "description": "This is test description",
            "ownerUser": {
                    "id": 549,
                    "firstName": "First",
                    "lastName": "Last",
                    "email": "first@last.com",
                    "phone": ""
            },
            "contact": {
                    "id": 580,
                    "firstName": "First",
                    "lastName": "last",
                    "email": "filrst.last@email.com",
                    "phone": 614535435
            },
            "company": {
                    "id": 214,
                    "businessName": "Company BusinessName",
                    "businessNumber": "BUS123",
                    "phone": null,
                    "email": company@owner.com
            },
            "currentBookingId": 5,
            "qualityId": 2,
            "quality": "B-Grade",
            "stageId": 47,
            "stageName": "Interested",
            "stageReasonId": 245,
            "stageReasonName": "Price under budget",
            "adminStatusChangedDate": "2019-04-12 11:11:00 UTC",
            "typeId": 3,
            "type": "Reseller",
            "subtypeId": 1,
            "sourceId": 13,
            "sourceName": "Newspaper",
            "channelId": 8,
            "channelName": "PCO",
            "leadBccEmail": "lead-2-763-facdb9@ivvy.blueweb",
            "closedDate": "2019-04-19 09:00:00 UTC",
            "lostToCompetition": "More capacity available",
            "createdDate": "2019-04-12 09:00:35 UTC",
            "modifiedDate": "2019-04-12 11:11:00 UTC",
            "externalUrls": []
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the opportunities the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Example Request

`Get a specific venues' opportunity List`

```javascript
{
  "venueId": [1,2],
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/crm/get-opportunity-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
